httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Adam Martin" <Adam.Mar...@infor.com>
Subject [users@httpd] make failure
Date Tue, 26 Feb 2008 16:08:50 GMT
This is my first attempt to compile the Apache web server so I will try
and include all the relevant information and apologize in advance for
any rookie mistakes.  I have successfully compiled version 2.2.8 on the
IBM AIX, Sun Solaris, and HP-UX PA-RISC platforms but have an issue
trying to compile it on the HP-UX Itanium platform using the HP ANSI C
Compiler.  The configure script appears to complete successfully but
when I attempt to execute the make I receive the following error.

ld: Can't find dependent library "libapr-1.so.2"
Fatal error.

The libapr-1.so.2 file resides in the
/scratch/apache/httpd-2.2.8/srclib/apr/.libs and is linked to the
libapr-1.so.2.12 file.  Here are the options I passed to the configure
script.

./configure --prefix=/opt/apache2 --enable-mods-shared="all cache proxy
authn_alias mem_cache file_cache charset_lite dav_lock disk_cache"


Any suggestions for resolving this would be greatly appreciated.

Make output:
Making all in support
        /scratch/apache/httpd-2.2.8/srclib/apr/libtool --silent
--mode=compile cc -g -Ae +Z -mt    -DHPUX11 -D_REENTRANT -D_HPUX_SOURCE
-D_LARGEFILE64_SOURCE -I/scratch/apache/httpd-2.2.8/srclib/pcre -I.
-I/scratch/apache/httpd-2.2.8/os/unix
-I/scratch/apache/httpd-2.2.8/server/mpm/prefork
-I/scratch/apache/httpd-2.2.8/modules/http
-I/scratch/apache/httpd-2.2.8/modules/filters
-I/scratch/apache/httpd-2.2.8/modules/proxy
-I/scratch/apache/httpd-2.2.8/include
-I/scratch/apache/httpd-2.2.8/modules/generators
-I/scratch/apache/httpd-2.2.8/modules/mappers
-I/scratch/apache/httpd-2.2.8/modules/database
-I/scratch/apache/httpd-2.2.8/srclib/apr/include
-I/scratch/apache/httpd-2.2.8/srclib/apr-util/include
-I/usr/local/include -I/scratch/apache/httpd-2.2.8/server
-I/scratch/apache/httpd-2.2.8/modules/proxy/../generators
-I/scratch/apache/httpd-2.2.8/modules/ssl
-I/scratch/apache/httpd-2.2.8/modules/dav/main  -prefer-non-pic -static
-c htpasswd.c && touch htpasswd.lo
        /scratch/apache/httpd-2.2.8/srclib/apr/libtool --silent
--mode=link cc -g -Ae +Z -mt     -L/usr/local/lib   -o htpasswd
htpasswd.lo   -lm /scratch/apache/httpd-2.2.8/srclib/pcre/libpcre.la
/scratch/apache/httpd-2.2.8/srclib/apr-util/libaprutil-1.la -lexpat
/scratch/apache/httpd-2.2.8/srclib/apr/libapr-1.la -lrt -lm -lpthread
-ldld
ld: Can't find dependent library "libapr-1.so.2"
Fatal error.

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message